<?php 

	if (Session::get("tipo_usuario") != "2"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");
		import_file(DIR_LIBRARIES."functions.php");
		import_file(DIR_LIBRARIES."PagSeguro/PagSeguro.class.php");

		$config = obter_configuracao();

		if ($config->ambiente_teste_pagseguro == "S") {
			$pagseguro = new PagSeguro(false);
		}
		else{
			$pagseguro = new PagSeguro(true);
		}

		$pagseguro->setEmail($config->email_pagseguro);
		$pagseguro->setToken($config->token_pagseguro);

		$pagseguro->addItem([
			"description" => "Adesão ".$config->nome_sistema,
			"amount" => $config->valor_adesao,
			"quantity" => 1
		]);

		$pagseguro->setReference("U".Session::get("id_usuario"));

		$pagseguro->setRedirect((isset($_SERVER["HTTPS"]) ? "https" : "http")."://".$_SERVER["HTTP_HOST"].URL_BASE);

		$pagseguro->setNotification((isset($_SERVER["HTTPS"]) ? "https" : "http")."://".$_SERVER["HTTP_HOST"].URL_BASE."/atualizar-status-usuario/?usuario=".urlencode(encrypt_encode(Session::get("id_usuario"))));
		
		$link_pagseguro = $pagseguro->checkout();

		$model = new Model();

		$model->update("usuario", [
			"link_pagamento_adesao" => $link_pagseguro
		], [
			"id_usuario" => Session::get("id_usuario")
		]);

		$model->commit();

		echo "<script>window.location.href='".$link_pagseguro."';</script>";
	}
	else{
		show_403();
	}

?>